# $Revision: 1.48 $, $Date: 2004/08/31 16:25:22 $
Summary:	Popular Unix Irc client
Summary(de):	Beliebter Unix-IRC-Client
Summary(fr):	Client irc UNIX populaire
Summary(pl):	Popularny Unixowy klient IRC
Summary(tr):	Yaygn Unix Irc istemcisi
Name:		ircii
Version:	20040820
Release:	2
License:	BSD
Group:		Applications/Networking
Vendor:		IRCII Bugs <ircii-bugs@ircii.eterna.com.au>
Source0:	ftp://ircii.warped.com/pub/ircII/%{name}-%{version}.tar.gz
# Source0-md5:	520e3230bffcd26c9112d61b9c65c65d
Source1:	%{name}.desktop
Patch0:		%{name}-config.patch
BuildRequires:	autoconf
BuildRequires:	ncompress
BuildRequires:	ncurses-devel >= 5.1
Requires:	ncompress
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	ircii-help

%description
This is a popular Internet Relay Chat (IRC) client. It is a program
used to connect to IRC servers around the globe so that the user can
``chat'' with others.

%description -l de
Dies ist ein beliebter IRC-Client (Internet Relay Chat). Sie knnen
eine Verbindung zu einem beliebigen IRC-Server aufbauen und mit
anderen Benutzern 'chatten'.

%description -l fr
Le trs poulaire client Internet Relay Chat (IRC). C'est un programme
utilis pour se connecter aux serveurs IRC  travers le monde entier
et ``bavarder'' avec les autres.

%description -l pl
Ircii to popularny klient IRC (Internet Relay Chat). Suy do czenia
si z serwerami IRC dookoa globu tak, by uytkownicy mogli ze sob
rozmawia.

%description -l tr
Bu, yaygn kullanlan bir IRC (Internet Relay Chat) istemcisidir.
Dnya zerinde herhangi bir IRC sunucusuna balant salar; balant
salandktan sonra kullanc dier insanlarla sohbet edebilir.

%prep
%setup  -q
%patch0 -p1

%build
%configure2_13 \
	--with-paranoid \
	--enable-ipv6 \
	--with-default-server="irc.pld-linux.org poznan.irc.pl wroclaw.irc.pl warszawa.irc.pl krakow.irc.pl lublin.irc.pl" \
	--with-cast
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/irc,%{_desktopdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_bindir}/irc-%{version} $RPM_BUILD_ROOT%{_bindir}/ircii
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
chmod -R a=rX,u=rwX $RPM_BUILD_ROOT%{_datadir}/irc

%post
if [ ! -f /etc/irc/ircII.servers ]; then
	if [ ! -d /etc/irc ]; then
		install -d /etc/irc
		chmod 755 /etc/irc
	fi
cat  << EOF > /etc/irc/ircII.servers
irc.pld-linux.org:6667
warszawa.irc.pl:6667
lublin.irc.pl:6667
krakow.irc.pl:6667
poznan.irc.pl:6667
wroclaw.irc.pl:6667
EOF
	chown root:root /etc/irc/ircII.servers
	chmod 644 /etc/irc/ircII.servers
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc NEWS README ChangeLog
%attr(755,root,root) %{_bindir}/*ircii
%attr(755,root,root) %dir %{_sysconfdir}/irc
%attr( - ,root,root) %{_datadir}/irc
%{_desktopdir}/*
%{_mandir}/man*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ircii.spec,v $
Revision 1.48  2004/08/31 16:25:22  darekr
- updated to 20040820

Revision 1.47  2004/07/04 14:02:56  havner
- applnk -> vfolders

Revision 1.46  2004/06/14 08:46:55  hawk
- updated to 20040216

Revision 1.45  2004/01/20 01:55:11  domelu
- added ircserver irc.pld-linux.org
- release 3; STBR Ac

Revision 1.44  2003/11/23 04:54:52  speedy
- release 2 for ac

Revision 1.43  2003/08/06 18:30:18  blues
- cosmetics

Revision 1.42  2003/08/04 11:35:58  qboosh
- use SUSv2-compliant chown syntax (user:group) instead of deprecated

Revision 1.41  2003/07/15 12:59:06  misi3k
- updated to 20030709

Revision 1.40  2003/05/28 12:59:12  malekith
- massive attack: source-md5

Revision 1.39  2003/05/25 05:49:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.38  2003/03/24 21:23:17  misi3k
- security update to 20030315
- patch1 removed (not needed)
bug:
ircII Client-Side Private Message Handling Memory Corruption Vulnerability

Revision 1.37  2002/04/25 16:37:35  arturs
fixed a small typo

Revision 1.36  2002/02/22 23:29:04  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.35  2002/01/18 02:13:21  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.34  2001/11/15 16:54:41  blues
- release 3
- configure2_13 used
- fix in install

Revision 1.33  2001/02/17 01:31:07  michuz
- release 2
- %%{_applnk}/Network/IRC changed to Communications

Revision 1.32  2000/11/23 13:21:09  misiek
add more irc servers ie wroclaw.irc.pl

Revision 1.31  2000/10/23 10:30:07  misiek
updated to Z version

Revision 1.30  2000/09/20 21:58:36  kloczek
- adapterized.

Revision 1.29  2000/09/20 14:34:31  misiek
added buffer patch

Revision 1.28  2000/08/22 23:15:08  marcus
- new version 4.4X
- added wserv-ircii,ircbug-ircii,ircio-ircii,wserv-ircii files in binary
  package in /usr/bin/ directory

Revision 1.27  2000/08/20 23:52:33  kloczek
- .wmconfig file replaced by .desktop,
- spec adapterized,
- removed ircii-%%{version} fron %%{_bindir},
- removed INSTALL from %doc (install procedure is implemented in this files
  :->),
-  %install and %build cleaned.

Revision 1.26  2000/08/20 23:13:54  marcus
- added gethostname_is_in_libc_aka_no_libnsl patch - now ircii is not linked
  with libnsl.

Revision 1.25  2000/07/13 23:11:14  baggins
- release 3
- rebuild with ncurses 5.1

Revision 1.24  2000/07/13 20:43:00  baggins
- release 2

Revision 1.23  2000/06/09 07:54:43  kloczek
- more %%{__make} macros.

Revision 1.22  2000/04/07 13:15:25  misiek
- updated to S-version

Revision 1.21  2000/04/01 11:14:46  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.20  2000/03/28 16:54:34  baggins
- translated kloczkish into english

Revision 1.19  2000/02/04 12:12:12  misiek
- updated to 'M' (IPv6 support included)

Revision 1.18  1999/11/09 07:19:17  kura

- changed Group to Applications/Networking
- fixed pl translation

Revision 1.17  1999/09/05 12:23:17  kloczek
- cosmetics.

Revision 1.16  1999/09/03 16:20:49  misiek
- updated to 'L' version

Revision 1.15  1999/08/04 01:43:28  kloczek
- reorders.

Revision 1.14  1999/08/02 10:11:30  misiek
update/new specs

Revision 1.13  1999/07/31 16:32:13  misiek
need more work

Revision 1.12  1999/07/12 23:05:58  kloczek
- added using CVS keywords in %changelog (for automating them).

* Thu Mar 04 1999 Arkadiusz Mikiewicz <misiek@misiek.eu.org>
- updated to 4.4G
- man pages are now gzipped
- added patch from debian

* Fri Feb 19 1999 Arkadiusz Mikiewicz <misiek@misiek.eu.org>
- updated to 4.4F

* Thu Jan 07 1999 Arkadiusz Mikiewicz <misiek@misiek.eu.org>
- updated to 4.4E

* Wed Jan 06 1999 Arkadiusz Mikiewicz <misiek@misiek.eu.org>
- many, many changes
- spec rewrited
- added color and irc2-10 patch
- PLDized

* Sat Oct 10 1998 Cristian Gafton <gafton@redhat.com>
- strip binaries
- obsoletes ircii-help (donnie, don't do ever that again!)

* Wed Jun 03 1998 <djb@redhat.com>
- moved help stuff into main package

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 08 1998 Erik Troan <ewt@redhat.com>
- updated to 4.4
- changed to use a build root

* Wed Nov  5 1997 Otto Hammersmith <otto@redhat.com>
- moved wmconfig file from ircii-help file list

* Tue Nov 04 1997 Erik Troan <ewt@redhat.com>
- use termios, not termio

* Mon Nov 03 1997 Donnie Barnes <djb@redhat.com>
- added Erik's patch to fix file closing brokenness.

* Wed Oct 29 1997 Otto Hammersmith <otto@redhat.com>
- added wmconfig entries

* Mon Oct 20 1997 Otto Hammersmith <otto@redhat.com>
- updated source urls

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc
